import { ICellEditorParams } from "@ag-grid-community/core";
import { ICustomEditorInfo } from "../../../../../utils/customEditor/interfaces/ICustomEditorInfo";
import EzCellEditor from "../editor/EzCellEditor";
interface CustomParamsEditor {
  customEditorsInfo: ICustomEditorInfo;
}
export default class EzGridCustomCellEditor extends EzCellEditor {
  private _fieldName;
  private _customEditorInstance;
  private _params;
  private _defaultGui;
  private _value;
  private _customGui;
  init(params: ICellEditorParams & CustomParamsEditor): void;
  private getDefaultGui;
  getGui(): HTMLElement;
  private setValue;
  getValue(): any;
  afterGuiAttached(): void;
  focusIn(): void;
}
export {};
